Skip to Content
Configured messages

Send a configured message

POST
/v1/numbers/{phone_number}/commands/simplified-send

Send a message configured on the number by name, filling its placeholders with params.

Authorization

HTTPBearer
headerAuthorizationBearer <token>

Path Parameters

phone_number*string

Your WhatsApp number, digits only, e.g. 393401234567.

Request Body

application/json
  1. body
receiver*string

Recipient, country code and number, digits only, e.g. 393331112222.

Match^\d{6,15}$
message*string

Name of the configured message to send.

Length1 <= length <= 128
params?

Values for the message's placeholders, by name.

Propertiesproperties <= 50

Response Body

OK

application/json
  1. response
status*string

ok when the message was built and queued.

[key: string]?any
Example Request
curl -X POST 'https://api.wapiu.ai/v1/numbers/393401234567/commands/simplified-send' \  -H 'Content-Type: application/json' \  -d '{  "message": "promo",  "params": {    "name": "Ada",    "sconto": 20  },  "receiver": "393331234567"}'
Example Response
{  "status": "ok"}